Subject: [bug#62549] [PATCH] gnu: home: Add home-emacs-service-type.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 01 Apr 2023 18:56:43 +0200

Hello!

(+Cc: David Wilson.)

"(" <[email-masked]> skribis:

> A while ago, I attempted to add a HOME-EMACS-SERVICE-TYPE to Guix[1]; a few
> suggestions for improvement were made, but I was not at the time knowledgeable
> enough to implement them; yesterday, however, I rewrote[2] the version of the
> service included in the Guix 'R' Us, adding a few features and greatly
> improving the design of the service.
>
> The service now supports defining the Emacs used for package compilation
> separately from the Emacs run by the service, and allows you to run multiple
> differently-named daemons at once.  Its internals have been reworked to build
> a profile for the Emacs packages, rather than the poorly-conceived, ugly
> system that previously existed (where the packages were scanned for Emacs
> module directories).
>
> [1] https://issues.guix.gnu.org/58693

Sounds nice!

Could you check out David Wilson’s proposal?

  https://issues.guix.gnu.org/60753

There were good ideas and interesting discussions there; it would be
nice to take the best of each proposal.  We desperately need this
service!  :-)

Thanks,
Ludo’.